Bug 463198 (CVE-2008-4060) - CVE-2008-4060 Mozilla privilege escalation via XPCnativeWrapper pollution
Summary: CVE-2008-4060 Mozilla privilege escalation via XPCnativeWrapper pollution
Status: CLOSED ERRATA
Alias: CVE-2008-4060
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: impact=critical,source=mozilla,report...
Keywords: Security
Depends On:
Blocks: 460512 460513 460518 460519 460520
TreeView+ depends on / blocked
 
Reported: 2008-09-22 15:26 UTC by Josh Bressers
Modified: 2010-12-23 22:48 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-23 22:48:43 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0879 normal SHIPPED_LIVE Critical: firefox security update 2008-09-24 01:47:37 UTC
Red Hat Product Errata RHSA-2008:0882 normal SHIPPED_LIVE Critical: seamonkey security update 2008-09-24 02:04:56 UTC
Red Hat Product Errata RHSA-2008:0908 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-10-01 15:35:17 UTC

Comment 2 Josh Bressers 2008-09-23 18:02:41 UTC
From MFSA 2008-41:
Mozilla developer Olli Pettay reported that XSLT can create documents which
do not have script handling objects. moz_bug_r_a4 also reported that
document.loadBindingDocument() returns a document that does not have a
script handling object. These issues could also be used by an attacker to
run arbitrary script with chrome privileges.

Comment 3 Josh Bressers 2008-09-24 00:58:27 UTC
This is now public

Comment 4 Fedora Update System 2008-11-21 10:55:31 UTC
thunderbird-2.0.0.18-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-11-21 11:03:17 UTC
thunderbird-2.0.0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Vincent Danen 2010-12-23 22:48:43 UTC
This was addressed via:

Red Hat Enterprise Linux version 4 (firefox) RHSA-2008:0879
Red Hat Enterprise Linux version 5 (firefox) RHSA-2008:0879
Red Hat Enterprise Linux version 2.1 (seamonkey) RHSA-2008:0882
Red Hat Enterprise Linux version 3 (seamonkey) RHSA-2008:0882
Red Hat Enterprise Linux version 4 (RHSA-2008:0882)
Red Hat Enterprise Linux version 4 (thunderbird) RHSA-2008:0908
Red Hat Enterprise Linux Desktop version 5 (thunderbird) RHSA-2008:0908
RHEL Optional Productivity Applications version 5 (thunderbird) RHSA-2008:0908


Note You need to log in before you can comment on or make changes to this bug.